## lwip 2.0.3

=== fuzz/Makefile ===
#
# Copyright (c) 2001, 2002 Swedish Institute of Computer Science.
# All rights reserved. 
# 
# Redistribution and use in source and binary forms, with or without modification, 
# are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
#    this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
# 3. The name of the author may not be used to endorse or promote products
#    derived from this software without specific prior written permission. 
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED 
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT 
# SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT 
# OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING 
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY 
# OF SUCH DAMAGE.
#
# This file is part of the lwIP TCP/IP stack.
# 
# Author: Adam Dunkels <adam@sics.se>
#

all compile: lwip_fuzz
.PHONY: all clean

CC=afl-gcc
LDFLAGS=-lm
CFLAGS=-O0

CONTRIBDIR=../../../lwip-contrib
include $(CONTRIBDIR)/ports/unix/Common.mk

clean:
	rm -f *.o $(LWIPLIBCOMMON) lwip_fuzz *.s .depend* *.core core

depend dep: .depend

include .depend

.depend: fuzz.c $(LWIPFILES) $(APPFILES)
	$(CCDEP) $(CFLAGS) -MM $^ > .depend || rm -f .depend

lwip_fuzz: .depend $(LWIPLIBCOMMON) fuzz.o
	$(CC) $(CFLAGS) -o lwip_fuzz fuzz.o $(LWIPLIBCOMMON) $(LDFLAGS)

=== debian/changelog ===
lwip (2.0.3-3+deb10u1) buster; urgency=high

  * Fix CVE-2020-8597

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 21 Mar 2020 09:02:20 +0100

lwip (2.0.3-3) unstable; urgency=medium

  [ Samuel Thibault ]
  * Mark liblwip-doc Multi-Arch: foreign.
  * copyright: Make some licence names more precise.

  [ Joan Lledó ]
  * Update patches: Fixing interruptibility and thread safety. Convert to DOS
    format to mach lwip sources.
  * getpeername_dual: Cherry-pick upstream fix for dual-stack sockets.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 04 Nov 2018 00:25:58 +0100

lwip (2.0.3-2) unstable; urgency=medium

  * Fix shipping lwip/priv/{tcp,tcpip}_priv.h.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 11 Jun 2018 00:47:22 +0200

lwip (2.0.3-1) unstable; urgency=medium

  * Initial release (Closes: Bug#884641)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 01 May 2018 01:52:18 +0200

=== debian/control ===
Source: lwip
Priority: optional
Maintainer: Samuel Thibault <sthibault@debian.org>
Build-Depends: debhelper (>= 9), dh-autoreconf
Standards-Version: 3.9.8
Section: libs
Homepage: http://savannah.nongnu.org/projects/lwip/
Vcs-Git: https://salsa.debian.org/debian/lwip.git
Vcs-Browser: https://salsa.debian.org/debian/lwip.git

Package: liblwip-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblwip0 (= ${binary:Version}), ${misc:Depends}
Description: small implementation of the TCP/IP protocol suite - development files
 lwIP is a small independent implementation of the TCP/IPv4/IPv6 protocol
 suite that has been developed by Adam Dunkels at the Computer and
 Networks Architectures (CNA) lab at the Swedish Institute of Computer
 Science (SICS).
 .
 The focus of the lwIP TCP/IP implementation is to reduce the RAM usage
 while still having a full scale TCP. This making lwIP suitable for use
 in embedded systems with tens of kilobytes of free RAM and room for
 around 40 kilobytes of code ROM.
 .
 This package contains the development files.

Package: liblwip0
Architecture: any
Multi-arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: small implementation of the TCP/IP protocol suite - shared library
 lwIP is a small independent implementation of the TCP/IPv4/IPv6 protocol
 suite that has been developed by Adam Dunkels at the Computer and
 Networks Architectures (CNA) lab at the Swedish Institute of Computer
 Science (SICS).
 .
 The focus of the lwIP TCP/IP implementation is to reduce the RAM usage
 while still having a full scale TCP. This making lwIP suitable for use
 in embedded systems with tens of kilobytes of free RAM and room for
 around 40 kilobytes of code ROM.
 .
 This package contains the shared library.

Package: liblwip-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: small implementation of the TCP/IP protocol suite - documentation
 lwIP is a small independent implementation of the TCP/IPv4/IPv6 protocol
 suite that has been developed by Adam Dunkels at the Computer and
 Networks Architectures (CNA) lab at the Swedish Institute of Computer
 Science (SICS).
 .
 The focus of the lwIP TCP/IP implementation is to reduce the RAM usage
 while still having a full scale TCP. This making lwIP suitable for use
 in embedded systems with tens of kilobytes of free RAM and room for
 around 40 kilobytes of code ROM.
 .
 This package contains the documentation.

=== debian/watch ===
version=3
  
http://download.savannah.gnu.org/releases/lwip/ lwip-([\d.]*)\.(?:zip|tgz|tbz2|txz|tar\.(?:gz|bz2|xz))

## lwip 2.1.2

=== debian/changelog ===
lwip (2.1.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No-change source-only upload to allow testing migration.

 -- Boyuan Yang <byang@debian.org>  Fri, 04 Oct 2019 13:31:52 -0400

lwip (2.1.2-5) unstable; urgency=medium

  [ Samuel Thibault ]
  * Set Joan Lledó as maintainer.
  * watch: Generalize pattern.

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 28 Sep 2019 07:33:21 +0200

lwip (2.1.2-4) unstable; urgency=medium

  [ Joan Lledó ]
  * Add support for kFreeBSD
    * debian/patches/cmake:
      * Remove the OS restriction to Linux and Hurd
    * debian/patches/port:
      * Detect kFreeBSD
      * Disable htons() and pals for kFreeBSD
      * Declare some socket options when missing:
        *TCP_KEEPIDLE, TCP_KEEPINTVL and TCP_KEEPCNT
      * Make kFreeBSD use standard error codes

 -- Samuel Thibault <sthibault@debian.org>  Wed, 28 Aug 2019 09:25:34 +0200

lwip (2.1.2-3) unstable; urgency=medium

  [ Joan Lledó ]
  * debian/patches/patch9350:
    * Remove _HAVE_SA_LEN macros
      * Some macros related to sa_len field were written to this
        file by mistake
  * debian/patches/port:
    * Fix bug on thrad handling
      * In the Hurd, pthread_cond_timedwait() returns EINTR when
        the thread has been cancelled
    * Move some #includes in cc.h from max_sockets to port:
      * <sys/ioctl.h>
      * <fcntl.h>
      * <net/if.h>
      * <sys/types.h>
    * Fix build error on some architectures
      * sio module: memset struct sigaction to 0
        * Use memset to set all struct sigaction fields to 0
          instead of doing it field by field, since fields depend
          on the architecture
  * debian/patches/max_sockets:
    * Remove #includes in cc.h moved to port patch

 -- Samuel Thibault <sthibault@debian.org>  Sun, 18 Aug 2019 19:25:35 +0200

lwip (2.1.2-2) unstable; urgency=medium

  [ Joan Lledó ]
  * debian/patches/max_sockets:
    * Update required after making changes in debian/patches/port
  * debian/patches/patch9807:
    * New patch: Add new function tcpip_callback_wait() in tcpip.c
      * To call a function inside the tcpip thread and wait
        for it to return
  * debian/patches/port:
    * Fix bug: Don't abort the whole stack on error
    * Fix some locking issues
    * Rename macro HURD_LWIP_LWIPOPTS_H to UNIX_LWIP_LWIPOPTS_H
    * Add Unix port interface files
      * To make compilation of userspace programs in Linux easier
    * Detect 64bit systems
      * Macros in lwipopts.h must have different values in
        64bit systems
  * debian/patches/series:
    * Add new patch debian/patches/patch9807

  [ Samuel Thibault ]
  * Upload to unstable.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 10 Aug 2019 00:45:08 +0200

lwip (2.1.2-1) experimental; urgency=medium

  [ Joan Lledó ]
  * New upstream release.
  * debian/patches/autoconf: Removed, replaced by cmake.
  * debian/patches/bug-36167: Removed, already upstream.
  * debian/patches/errno: Likewise.
  * debian/patches/getpeername_dual: Likewise.
  * debian/patches/poll: Likewise.
  * debian/patches/posix: Removed, merged into port patch.
  * debian/patches/cmake: New patch, implements cmake build system.
  * debian/patches/max_sockets: Adapted to 2.1.2.
  * debian/patches/patch9350: Cherry-picked from upstream.
  	* It allows using external socket headers.
  * debian/patches/port: Adapted to 2.1.2.
  	* It now includes external socket headers.
  * debian/patches/series: List of patches updated.
  * debian/patches/rules: Adapted to use cmake.

  [ Samuel Thibault ]
  * control: Add cmake build-dep.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 31 Mar 2019 20:36:34 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: lwip
 Priority: optional
-Maintainer: Samuel Thibault <sthibault@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf
+Maintainer: Joan Lledó <jlledom@member.fsf.org>
+Build-Depends: debhelper (>= 9), dh-autoreconf, cmake
 Standards-Version: 3.9.8
 Section: libs
 Homepage: http://savannah.nongnu.org/projects/lwip/

=== debian/watch ===
version=3
  
http://download.savannah.gnu.org/releases/lwip/ lwip-@ANY_VERSION@@ARCHIVE_EXT@

## lwip 2.1.2+dfsg1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(lwIP)

set(LWIP_DIR ${CMAKE_CURRENT_SOURCE_DIR})
include(src/Filelists.cmake)

# Package generation
set(CPACK_SOURCE_GENERATOR "ZIP")
set(CPACK_SOURCE_PACKAGE_DESCRIPTION_SUMMARY "lwIP lightweight IP stack")
set(CPACK_PACKAGE_VERSION_MAJOR "${LWIP_VERSION_MAJOR}")
set(CPACK_PACKAGE_VERSION_MINOR "${LWIP_VERSION_MINOR}")
set(CPACK_PACKAGE_VERSION_PATCH "${LWIP_VERSION_REVISION}")
set(CPACK_SOURCE_IGNORE_FILES "/build/;${CPACK_SOURCE_IGNORE_FILES};.git")
set(CPACK_SOURCE_PACKAGE_FILE_NAME "lwip-${LWIP_VERSION_MAJOR}.${LWIP_VERSION_MINOR}.${LWIP_VERSION_REVISION}")
include(CPack)

# Target for package generation
add_custom_target(dist COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_dependencies(dist lwipdocs)

=== debian/changelog ===
lwip (2.1.2+dfsg1-8+deb11u1) bullseye; urgency=high

  * Fix CVE-2020-22283
  * Fix CVE-2020-22284
  * closes: 1014447

 -- Joan Lledó <jlledom@member.fsf.org>  Sun, 07 Aug 2022 11:16:06 +0200

lwip (2.1.2+dfsg1-8) unstable; urgency=medium

  * No-change source-only upload to allow testing migration.

 -- Joan Lledó <jlledom@member.fsf.org>  Sun, 09 Aug 2020 09:55:09 +0200

lwip (2.1.2+dfsg1-7) unstable; urgency=low

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set debhelper-compat version in Build-Depends.
  * Use canonical URL in Vcs-Browser.
  * Update standards version to 4.5.0, no changes needed.

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 08 Aug 2020 11:59:35 +0200

lwip (2.1.2+dfsg1-6) unstable; urgency=medium

  * No-change source-only upload to allow testing migration.

 -- Joan Lledó <jlledom@member.fsf.org>  Sun, 08 Mar 2020 10:56:53 +0100

lwip (2.1.2+dfsg1-5) unstable; urgency=medium

  * Fix CVE-2020-8597

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 07 Mar 2020 20:41:29 +0100

lwip (2.1.2+dfsg1-4) unstable; urgency=medium

  * No-change source-only upload to allow testing migration.
  * Use the uploaded orig tarball

 -- Joan Lledó <jlledom@member.fsf.org>  Sun, 26 Jan 2020 14:23:06 +0100

lwip (2.1.2+dfsg1-3) unstable; urgency=medium

  * No-change source-only upload to allow testing migration.
  * Include orig tarball

 -- Joan Lledó <jlledom@member.fsf.org>  Sun, 26 Jan 2020 12:36:10 +0100

lwip (2.1.2+dfsg1-2) unstable; urgency=medium

  * No-change source-only upload to allow testing migration.

 -- Joan Lledó <jlledom@member.fsf.org>  Sun, 26 Jan 2020 10:53:32 +0100

lwip (2.1.2+dfsg1-1) unstable; urgency=medium

  * Update Standards version to 4.4.1
  * Clean lintian error: source-is-missing
    * Repack: remove doxygen documentation from orig
    * Generate doxygen output on build
  * Clean lintian warnings about copyright
  * Clean minor lintian messages
  * Add upstream signing key for uscan verification

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 18 Jan 2020 12:38:25 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: lwip
 Priority: optional
 Maintainer: Joan Lledó <jlledom@member.fsf.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, cmake
-Standards-Version: 3.9.8
+Build-Depends: debhelper-compat (= 12), cmake, doxygen
+Standards-Version: 4.5.0
 Section: libs
-Homepage: http://savannah.nongnu.org/projects/lwip/
+Homepage: https://savannah.nongnu.org/projects/lwip/
 Vcs-Git: https://salsa.debian.org/debian/lwip.git
-Vcs-Browser: https://salsa.debian.org/debian/lwip.git
+Vcs-Browser: https://salsa.debian.org/debian/lwip
 
 Package: liblwip-dev
 Section: libdevel
@@ -48,6 +48,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Suggests: doc-base
 Description: small implementation of the TCP/IP protocol suite - documentation
  lwIP is a small independent implementation of the TCP/IPv4/IPv6 protocol
  suite that has been developed by Adam Dunkels at the Computer and

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg1,\
repack,\
compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\d+)?$//,\
pgpmode=auto\
 https://download.savannah.gnu.org/releases/lwip/ lwip-@ANY_VERSION@@ARCHIVE_EXT@

## lwip 2.1.3%2Bdfsg1

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath

%:
	dh $@

## lwip 2.1.3+dfsg1

=== test/fuzz/Makefile ===
#
# Copyright (c) 2001, 2002 Swedish Institute of Computer Science.
# All rights reserved. 
# 
# Redistribution and use in source and binary forms, with or without modification, 
# are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
#    this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
# 3. The name of the author may not be used to endorse or promote products
#    derived from this software without specific prior written permission. 
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED 
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT 
# SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, 
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT 
# OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS 
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN 
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING 
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY 
# OF SUCH DAMAGE.
#
# This file is part of the lwIP TCP/IP stack.
# 
# Author: Adam Dunkels <adam@sics.se>
#

all compile: lwip_fuzz
.PHONY: all clean

CC=afl-gcc
LDFLAGS=-lm
# use 'make D=-DUSER_DEFINE' to pass a user define to gcc
CFLAGS=-O0 $(D)

CONTRIBDIR=../../../lwip-contrib
include $(CONTRIBDIR)/ports/unix/Common.mk

clean:
	rm -f *.o $(LWIPLIBCOMMON) $(APPLIB) lwip_fuzz *.s .depend* *.core core

depend dep: .depend

include .depend

.depend: fuzz.c $(LWIPFILES) $(APPFILES)
	$(CCDEP) $(CFLAGS) -MM $^ > .depend || rm -f .depend

lwip_fuzz: .depend $(LWIPLIBCOMMON) $(APPLIB) fuzz.o
	$(CC) $(CFLAGS) -o lwip_fuzz fuzz.o $(APPLIB) $(LWIPLIBCOMMON) $(LDFLAGS)

=== debian/changelog ===
lwip (2.1.3+dfsg1-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * control: Bump Standards-Version to 4.6.0 (no change)
  * patches/max_sockets: Restore patch, it was not actually upstreamed.

  [ Joan Lledó ]
  * Refresh patches
  * Update standards version to 4.6.1

 -- Joan Lledó <jlledom@member.fsf.org>  Mon, 11 Jul 2022 10:10:37 +0200

lwip (2.1.3+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - patches/max_sockets: Upstreamed.
  * copyright: Drop superfluous file pattern.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 14 Nov 2021 18:32:01 +0100

lwip (2.1.2+dfsg1-9) unstable; urgency=medium

  * Team upload.
  * rules: Fix reproducibility by adding reproducible=+fixfilepath.
  * control: Set Rules-Requires-Root to no.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Oct 2021 00:36:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Priority: optional
 Maintainer: Joan Lledó <jlledom@member.fsf.org>
 Build-Depends: debhelper-compat (= 12), cmake, doxygen
-Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Section: libs
 Homepage: https://savannah.nongnu.org/projects/lwip/
 Vcs-Git: https://salsa.debian.org/debian/lwip.git
@@ -28,7 +29,7 @@
 
 Package: liblwip0
 Architecture: any
-Multi-arch: same
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: small implementation of the TCP/IP protocol suite - shared library
  lwIP is a small independent implementation of the TCP/IPv4/IPv6 protocol

## lwip 2.2.0+dfsg1

=== contrib/ports/unix/check/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)

set (CMAKE_CONFIGURATION_TYPES "Debug;Release")

project(lwipunittests C)

if (NOT CMAKE_SYSTEM_NAME STREQUAL "Linux" AND NOT CMAKE_SYSTEM_NAME STREQUAL "Darwin" AND NOT CMAKE_SYSTEM_NAME STREQUAL "GNU")
    message(FATAL_ERROR "Unit test are currently only working on Linux, Darwin or Hurd")
endif()

set(LWIP_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../../..)
if (NOT CMAKE_SYSTEM_NAME STREQUAL "GNU")
    set(LWIP_USE_SANITIZERS true)
endif()
include(${LWIP_DIR}/contrib/ports/CMakeCommon.cmake)

if(CMAKE_C_COMPILER_ID STREQUAL "Clang")
    # check.h causes 'error: token pasting of ',' and __VA_ARGS__ is a GNU extension' with clang 9.0.0
    list(LWIP_COMPILER_FLAGS APPEND -Wno-gnu-zero-variadic-macro-arguments)
endif()

set (LWIP_DEFINITIONS -DLWIP_DEBUG -DLWIP_NOASSERT_ON_ERROR)
set (LWIP_INCLUDE_DIRS
    "${LWIP_DIR}/test/unit"
    "${LWIP_DIR}/src/include"
    "${LWIP_CONTRIB_DIR}/"
    "${LWIP_CONTRIB_DIR}/ports/unix/port/include"
    "${CMAKE_CURRENT_SOURCE_DIR}/"
)

include(${LWIP_CONTRIB_DIR}/ports/unix/Filelists.cmake)
include(${LWIP_DIR}/src/Filelists.cmake)
include(${LWIP_DIR}/test/unit/Filelists.cmake)

add_executable(lwip_unittests ${LWIP_TESTFILES})
target_include_directories(lwip_unittests PRIVATE ${LWIP_INCLUDE_DIRS})
target_compile_options(lwip_unittests PRIVATE ${LWIP_COMPILER_FLAGS})
target_compile_definitions(lwip_unittests PRIVATE ${LWIP_DEFINITIONS} ${LWIP_MBEDTLS_DEFINITIONS})

find_library(LIBCHECK check)
find_library(LIBM m)
target_link_libraries(lwip_unittests ${LWIP_SANITIZER_LIBS} lwipallapps lwipcore ${LIBCHECK} ${LIBM})

if (NOT CMAKE_SYSTEM_NAME STREQUAL "Darwin")
    # check installed via brew on Darwin doesn't have a separate subunit library (must be statically linked)
    find_library(LIBSUBUNIT subunit)
    target_link_libraries(lwip_unittests ${LIBSUBUNIT})
endif()

if (CMAKE_SYSTEM_NAME STREQUAL "Linux" OR CMAKE_SYSTEM_NAME STREQUAL "GNU")
    find_library(LIBUTIL util)
    find_library(LIBPTHREAD pthread)
    find_library(LIBRT rt)
    target_link_libraries(lwip_unittests ${LIBUTIL} ${LIBPTHREAD} ${LIBRT})
endif()

if (CMAKE_SYSTEM_NAME STREQUAL "Darwin")
    # Darwin doesn't have pthreads or POSIX real-time extensions libs
    find_library(LIBUTIL util)
    target_link_libraries(lwip_unittests ${LIBUTIL})
endif()

=== contrib/ports/unix/example_app/CMakeLists.txt ===
include(${LWIP_DIR}/contrib/ports/CMakeCommon.cmake)

set (LWIP_INCLUDE_DIRS
    "${LWIP_DIR}/src/include"
    "${LWIP_DIR}/contrib/"
    "${LWIP_DIR}/contrib/ports/unix/port/include"
    "${LWIP_DIR}/contrib/examples/example_app"
)

include(${LWIP_DIR}/src/Filelists.cmake)
include(${LWIP_DIR}/contrib/Filelists.cmake)
include(${LWIP_DIR}/contrib/ports/unix/Filelists.cmake)

if(NOT EXISTS ${LWIP_DIR}/contrib/examples/example_app/lwipcfg.h)
  message(WARNING "${LWIP_DIR}/contrib/examples/example_app is missing lwipcfg.h
Copy ${LWIP_DIR}/contrib/examples/example_app/lwipcfg.h.example to ${LWIP_DIR}/contrib/examples/example_app/lwipcfg.h and edit appropriately")
endif()
add_executable(example_app ${LWIP_DIR}/contrib/examples/example_app/test.c default_netif.c)
target_include_directories(example_app PRIVATE ${LWIP_INCLUDE_DIRS})
target_compile_options(example_app PRIVATE ${LWIP_COMPILER_FLAGS})
target_compile_definitions(example_app PRIVATE ${LWIP_DEFINITIONS} ${LWIP_MBEDTLS_DEFINITIONS})
target_link_libraries(example_app ${LWIP_SANITIZER_LIBS} lwipcontribexamples lwipcontribapps lwipcontribaddons lwipallapps lwipcontribportunix lwipcore lwipmbedtls)

add_executable(makefsdata ${lwipmakefsdata_SRCS})
target_compile_options(makefsdata PRIVATE ${LWIP_COMPILER_FLAGS})
target_include_directories(makefsdata PRIVATE ${LWIP_INCLUDE_DIRS})
target_link_libraries(makefsdata ${LWIP_SANITIZER_LIBS})

=== contrib/ports/win32/example_app/CMakeLists.txt ===
include(${LWIP_DIR}/contrib/ports/CMakeCommon.cmake)

set (LWIP_INCLUDE_DIRS
    "${LWIP_DIR}/src/include"
    "${LWIP_DIR}/contrib/"
    "${LWIP_DIR}/contrib/ports/win32/include"
    "${LWIP_DIR}/contrib/examples/example_app"
)

include(${LWIP_DIR}/src/Filelists.cmake)
include(${LWIP_DIR}/contrib/Filelists.cmake)
include(${LWIP_DIR}/contrib/ports/win32/Filelists.cmake)

if(NOT EXISTS ${LWIP_DIR}/contrib/examples/example_app/lwipcfg.h)
  message(WARNING "${LWIP_DIR}/contrib/examples/example_app is missing lwipcfg.h
Copy ${LWIP_DIR}/contrib/examples/example_app/lwipcfg.h.example to ${LWIP_DIR}/contrib/examples/example_app/lwipcfg.h and edit appropriately")
endif()
add_executable(example_app ${LWIP_DIR}/contrib/examples/example_app/test.c default_netif.c)
target_include_directories(example_app PRIVATE ${LWIP_INCLUDE_DIRS})
target_compile_options(example_app PRIVATE ${LWIP_COMPILER_FLAGS})
target_compile_definitions(example_app PRIVATE ${LWIP_DEFINITIONS} ${LWIP_MBEDTLS_DEFINITIONS})
target_link_libraries(example_app ${LWIP_SANITIZER_LIBS} lwipallapps lwipcontribexamples lwipcontribapps lwipcontribaddons lwipcontribportwindows lwipcore lwipmbedtls)

add_executable(makefsdata ${lwipmakefsdata_SRCS})
target_compile_options(makefsdata PRIVATE ${LWIP_COMPILER_FLAGS})
target_include_directories(makefsdata PRIVATE ${LWIP_INCLUDE_DIRS})
target_link_libraries(makefsdata ${LWIP_SANITIZER_LIBS} lwipcore lwipcontribportwindows)

=== debian/changelog ===
lwip (2.2.0+dfsg1-7) unstable; urgency=medium

  [ Joan Lledó ]
  * Refactor max_sockets patch
    * Use a dynamic array instead of a linked list

  [ Samuel Thibault ]
  * control: Build-depend on libvdeplug-dev on all Linux ports.

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 11 May 2024 10:56:03 +0200

lwip (2.2.0+dfsg1-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062676

 -- Graham Inggs <ginggs@debian.org>  Thu, 29 Feb 2024 10:35:21 +0000

lwip (2.2.0+dfsg1-6) unstable; urgency=medium

  * Minor fixes for the posixlib patch
    * Remove support for Debian kFreeBSD
    * Remove LWIP_POLL macro
    * Enable byte order functions from cc.h

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 20 Jan 2024 10:52:55 +0100

lwip (2.2.0+dfsg1-5) unstable; urgency=medium

  * Fix poll interruptibility logic
  * sem_wait returns SYS_ARCH_INT when timeout == UINT32_MAX.
    When timeout == 0, it ignores interruptions and only returns when
    it acquires the token.
  * lwip_select and lwip_poll check for SYS_ARCH_INTR and fail properly.
  * debian/patches/posixlib: Implement changes above.

 -- Joan Lledó <jlledom@member.fsf.org>  Wed, 03 Jan 2024 11:32:18 +0100

lwip (2.2.0+dfsg1-4) unstable; urgency=medium

  * Simplify patch posixlib
  * debian/patches/posixlib: Remove some useless code

 -- Joan Lledó <jlledom@member.fsf.org>  Tue, 26 Dec 2023 14:37:13 +0100

lwip (2.2.0+dfsg1-3) unstable; urgency=medium

  * Add VDE dependency for Linux
  * debian/control: Add libvdeplug-dev to Build-Depends

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 09 Dec 2023 15:02:00 +0100

lwip (2.2.0+dfsg1-2) unstable; urgency=medium

  * patches/empty_block_last: Restored, still needed in 2.2.0

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 18 Nov 2023 12:19:21 +0100

lwip (2.2.0+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * patches/CVE-2020-8597: Removed, already upstream
  * patches/cmake: Removed, most of the code is already upstream
  * patches/port: Removed, most of the code is altready upstream
  * patches/posixlib: New patch containing code from old cmake and port
    patches which is not upstream yet
  * patches/empty_block_last: Removed, I'm not sure it's still required in 2.2.0
    I'll add it if the build fails
  * patches/max_sockets: Updated to apply correctly in the new version
  * patches/nodoc: Removed, it's part of patches/posixlib now.
  * patches/patch9350: Removed, already upstream
  * patches/patch9807: Removed, already upstream

 -- Joan Lledó <jlledom@member.fsf.org>  Sun, 12 Nov 2023 19:15:07 +0100

lwip (2.1.3+dfsg1-4) unstable; urgency=medium

  * Team upload.
  * patches/empty_block_last: Fix out-of-bound access when looking for empty
    blocks (Closes: Bug#1055173)

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Nov 2023 19:08:47 +0100

lwip (2.1.3+dfsg1-3) unstable; urgency=medium

  * clean: Clean generated files (Closes: Bug#1047442)
  * patches/nodoc: Support building without doxygen.
  * control: Add nodoc profile that avoids doxygen dependency.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Oct 2023 19:59:52 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lwip
 Priority: optional
 Maintainer: Joan Lledó <jlledom@member.fsf.org>
-Build-Depends: debhelper-compat (= 12), cmake, doxygen
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), cmake, doxygen <!nodoc>,
+    libvdeplug-dev [linux-any]
 Rules-Requires-Root: no
 Standards-Version: 4.6.1
 Section: libs
@@ -13,7 +14,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: liblwip0 (= ${binary:Version}), ${misc:Depends}
+Depends: liblwip0t64 (= ${binary:Version}), ${misc:Depends}
 Description: small implementation of the TCP/IP protocol suite - development files
  lwIP is a small independent implementation of the TCP/IPv4/IPv6 protocol
  suite that has been developed by Adam Dunkels at the Computer and
@@ -27,7 +28,10 @@
  .
  This package contains the development files.
 
-Package: liblwip0
+Package: liblwip0t64
+Provides: ${t64:Provides}
+Replaces: liblwip0
+Breaks: liblwip0 (<< ${source:Version})
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -46,6 +50,7 @@
 
 Package: liblwip-doc
 Section: doc
+Build-Profiles: <!nodoc>
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}

## lwip 2.2.1%2Bdfsg1

=== debian/changelog ===
lwip (2.2.1+dfsg1-4) unstable; urgency=medium

  * patches/ip_pktinfo: Fix build with glibc 2.43.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 15 Feb 2026 01:38:38 +0100

lwip (2.2.1+dfsg1-3) unstable; urgency=low

  [ Samuel Thibault ]
  * Bump debhelper from old 12 to 13.
  * patches/doxygen2: Fix build with newer doxygen.  Closes: #1122437

  [ Joan Lledó ]
  * patches/posixlib:
    - Fix Typo
    - Update upstream patch URL

 -- Samuel Thibault <sthibault@debian.org>  Thu, 11 Dec 2025 00:02:43 +0100

lwip (2.2.1+dfsg1-2) unstable; urgency=medium

  [ Samuel Thibault ]
  * copyright: Update.

  [ Joan Lledó ]
  * Add support for external DHCP client

 -- Joan Lledó <jlledom@member.fsf.org>  Tue, 29 Jul 2025 18:10:10 +0200

lwip (2.2.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * patches/max_sockets: Updated to apply correctly
  * patches/posixlib: Updated to apply correctly

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 01 Mar 2025 19:47:48 +0100

lwip (2.2.0+dfsg1-9) unstable; urgency=medium

  * Fix lintian warnings
    * Add metadata to patches
    * Fix warnings about encoding
    * Update to standards version 4.7.0

 -- Joan Lledó <jlledom@member.fsf.org>  Sat, 15 Feb 2025 10:47:06 +0100

lwip (2.2.0+dfsg1-8) unstable; urgency=medium

  * patches/doxygen: Fix build with doxygen 1.12.  Closes: #1080183

 -- Samuel Thibault <sthibault@debian.org>  Sun, 01 Sep 2024 18:27:28 +0200

## lwip 2.2.1+dfsg1

=== test/fuzz/Makefile ===
--- 
+++ 
@@ -29,26 +29,45 @@
 # Author: Adam Dunkels <adam@sics.se>
 #
 
-all compile: lwip_fuzz
+all compile: lwip_fuzz lwip_fuzz2 lwip_fuzz3
 .PHONY: all clean
 
+ifeq ($(origin CC), default)
 CC=afl-gcc
+endif
+
 LDFLAGS=-lm
 # use 'make D=-DUSER_DEFINE' to pass a user define to gcc
-CFLAGS=-O0 $(D)
+CFLAGS=-O2 $(D)
 
-CONTRIBDIR=../../../lwip-contrib
+LWIPDIR=../../src
+CONTRIBDIR=../../contrib
 include $(CONTRIBDIR)/ports/unix/Common.mk
 
+DEPFILES=.depend_fuzz .depend_lwip .depend_app
+
 clean:
-	rm -f *.o $(LWIPLIBCOMMON) $(APPLIB) lwip_fuzz *.s .depend* *.core core
+	rm -f *.o $(LWIPLIBCOMMON) $(APPLIB) lwip_fuzz lwip_fuzz2 lwip_fuzz3 *.s $(DEPFILES) *.core core
 
-depend dep: .depend
+depend dep: $(DEPFILES)
+	@true
 
-include .depend
+ifneq ($(MAKECMDGOALS),clean)
+include $(DEPFILES)
+endif
 
-.depend: fuzz.c $(LWIPFILES) $(APPFILES)
-	$(CCDEP) $(CFLAGS) -MM $^ > .depend || rm -f .depend
+.depend_fuzz: fuzz.c fuzz2.c fuzz3.c fuzz_common.c
+	$(CCDEP) $(CFLAGS) -MM $^ > .depend_fuzz || rm -f .depend_fuzz
+.depend_lwip: $(LWIPFILES)
+	$(CCDEP) $(CFLAGS) -MM $^ > .depend_lwip || rm -f .depend_lwip
+.depend_app: $(APPFILES)
+	$(CCDEP) $(CFLAGS) -MM $^ > .depend_app || rm -f .depend_app
 
-lwip_fuzz: .depend $(LWIPLIBCOMMON) $(APPLIB) fuzz.o
-	$(CC) $(CFLAGS) -o lwip_fuzz fuzz.o $(APPLIB) $(LWIPLIBCOMMON) $(LDFLAGS)
+lwip_fuzz: $(DEPFILES) $(LWIPLIBCOMMON) $(APPLIB) fuzz.o fuzz_common.o
+	$(CC) $(CFLAGS) -o lwip_fuzz fuzz.o fuzz_common.o $(APPLIB) $(LWIPLIBCOMMON) $(LDFLAGS)
+
+lwip_fuzz2: $(DEPFILES) $(LWIPLIBCOMMON) $(APPLIB) fuzz2.o fuzz_common.o
+	$(CC) $(CFLAGS) -o lwip_fuzz2 fuzz2.o fuzz_common.o $(APPLIB) $(LWIPLIBCOMMON) $(LDFLAGS)
+
+lwip_fuzz3: $(DEPFILES) $(LWIPLIBCOMMON) $(APPLIB) fuzz3.o fuzz_common.o
+	$(CC) $(CFLAGS) -o lwip_fuzz3 fuzz3.o fuzz_common.o $(APPLIB) $(LWIPLIBCOMMON) $(LDFLAGS)

=== contrib/ports/unix/check/Makefile ===
#
# Copyright (c) 2001, 2002 Swedish Institute of Computer Science.
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without modification,
# are permitted provided that the following conditions are met:
#
# 1. Redistributions of source code must retain the above copyright notice,
#    this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright notice,
#    this list of conditions and the following disclaimer in the documentation
#    and/or other materials provided with the distribution.
# 3. The name of the author may not be used to endorse or promote products
#    derived from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT
# SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT
# OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
# CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING
# IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
# OF SUCH DAMAGE.
#
# This file is part of the lwIP TCP/IP stack.
#
# Author: Adam Dunkels <adam@sics.se>
#

all compile: lwip_unittests
.PHONY: all clean check

LWIPDIR=../../../../src

# The include path to sys_arch.h and lwipopts.h must be first, so this must be before Common.mk
CFLAGS=-DLWIP_NOASSERT_ON_ERROR -I/usr/include/check -I$(LWIPDIR)/../test/unit

# Ignore 'too many arguments for format' warnings which happen with GCCs
# from check 0.15.2 on fail_if/fail_unless macros with text.
# See https://github.com/libcheck/check/pull/298/commits/82540c5428d3818b64d
CFLAGS+=-Wno-error=format-extra-args

ifeq (clang,$(findstring clang,$(CC)))
# check.h causes 'error: token pasting of ',' and __VA_ARGS__ is a GNU extension' with clang 9.0.0
CFLAGS+=-Wno-gnu-zero-variadic-macro-arguments
endif

# Prevent compiling sys_arch.c of unix port because unit test provide their own port
SYSARCH?=
include ../Common.mk

LDFLAGS:=-lcheck -lm $(LDFLAGS)

ifneq ($(UNAME_S),Darwin)
# check installed via brew on Darwin doesn't have a separate subunit library (must be statically linked)
LDFLAGS+=-lsubunit
endif

TESTDIR=$(LWIPDIR)/../test/unit
include $(TESTDIR)/Filelists.mk
TESTOBJS=$(notdir $(TESTFILES:.c=.o))

DEPFILES=.depend_test .depend_lwip .depend_app

clean:
	@rm -f *.o $(LWIPLIBCOMMON) $(APPLIB) lwip_unittests *.s $(DEPFILES) *.core core lwip_unittests.xml

depend dep: $(DEPFILES)
	@true

ifneq ($(MAKECMDGOALS),clean)
include $(DEPFILES)
endif

.depend_test: $(TESTFILES)
	$(CCDEP) $(CFLAGS) -MM $^ > .depend_test || rm -f .depend_test
.depend_lwip: $(LWIPFILES)
	$(CCDEP) $(CFLAGS) -MM $^ > .depend_lwip || rm -f .depend_lwip
.depend_app: $(APPFILES)
	$(CCDEP) $(CFLAGS) -MM $^ > .depend_app || rm -f .depend_app

ifneq ($(UNAME_S),Darwin)
# clang on Darwin doesn't support --start-group
lwip_unittests: $(DEPFILES) $(TESTOBJS) $(LWIPLIBCOMMON) $(APPLIB)
	$(CC) $(CFLAGS) -o lwip_unittests $(TESTOBJS)  -Wl,--start-group $(LWIPLIBCOMMON) $(APPLIB) $(LDFLAGS) -Wl,--end-group
else
lwip_unittests: $(DEPFILES) $(TESTOBJS) $(LWIPLIBCOMMON) $(APPLIB)
	$(CC) $(CFLAGS) -o lwip_unittests $(TESTOBJS) $(LWIPLIBCOMMON) $(APPLIB) $(LDFLAGS)
endif

check: lwip_unittests
	@./lwip_unittests

=== contrib/ports/unix/posixlib/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.8)
project(liblwip
    VERSION 2.2.0
    DESCRIPTION "lwip library for linux"
    HOMEPAGE_URL "http://wiki.virtualsquare.org"
    LANGUAGES C)

include(GNUInstallDirs)
include(CheckIncludeFile)

set (BUILD_SHARED_LIBS ON)

if (NOT CMAKE_SYSTEM_NAME STREQUAL "Linux")
    message(FATAL_ERROR "Lwip shared library is only working on Linux or the Hurd")
endif()

set(LWIP_DIR ${CMAKE_CURRENT_SOURCE_DIR}/../../../..)

find_library(LIB_VDEPLUGOK vdeplug)
check_include_file(libvdeplug.h INCLUDE_VDEPLUGOK)
if (LIB_VDEPLUGOK AND INCLUDE_VDEPLUGOK)
	message(STATUS "Found libvdeplug: vde support added")
else()
	message(STATUS "Libvdeplug needs to be installed to add vde support")
endif()

include(${LWIP_DIR}/contrib/ports/CMakeCommon.cmake)

set (LWIP_DEFINITIONS -DLWIP_DEBUG)
set (LWIP_INCLUDE_DIRS
    "include"
    "${LWIP_DIR}/src/include"
    "${LWIP_CONTRIB_DIR}/"
    "${LWIP_CONTRIB_DIR}/ports/unix/port/include"
    "${CMAKE_CURRENT_SOURCE_DIR}/"
)

set (LWIP_EXCLUDE_SLIPIF TRUE)
include(${LWIP_CONTRIB_DIR}/ports/unix/Filelists.cmake)
include(${LWIP_DIR}/src/Filelists.cmake)
if (LIB_VDEPLUGOK AND INCLUDE_VDEPLUGOK)
set(lwipnoapps_SRCS ${lwipnoapps_SRCS}
   ${LWIP_DIR}/contrib/ports/unix/port/netif/vdeif.c)
endif()

add_library(lwip ${lwipnoapps_SRCS} ${lwipcontribportunix_SRCS} ${lwipcontribportunixnetifs_SRCS})
target_compile_options(lwip PRIVATE ${LWIP_COMPILER_FLAGS})
target_compile_definitions(lwip PRIVATE ${LWIP_DEFINITIONS} ${LWIP_MBEDTLS_DEFINITIONS})
target_include_directories(lwip PRIVATE ${LWIP_INCLUDE_DIRS} ${LWIP_MBEDTLS_INCLUDE_DIRS})
if (LIB_VDEPLUGOK AND INCLUDE_VDEPLUGOK)
   target_link_libraries(lwip ${LWIP_SANITIZER_LIBS} vdeplug)
else()
   target_link_libraries(lwip ${LWIP_SANITIZER_LIBS})
endif()

find_library(LIBPTHREAD pthread)
target_link_libraries(lwip ${LIBPTHREAD})

install(TARGETS lwip 
		LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

set_target_properties(lwip PROPERTIES VERSION ${PROJECT_VERSION}
        SOVERSION ${PROJECT_VERSION_MAJOR})

install(DIRECTORY "${LWIP_DIR}/src/include/lwip"
		DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/lwip"
		FILES_MATCHING PATTERN "*.h"
)

install(DIRECTORY "${LWIP_DIR}/src/include/netif"
		DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/lwip"
		FILES_MATCHING PATTERN "*.h"
)

install(FILES lwipopts.h DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/lwip")

install(DIRECTORY "${LWIP_DIR}/contrib/ports/unix/port/include/arch"
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/lwip"
    FILES_MATCHING PATTERN "*.h"
)

install(DIRECTORY "${LWIP_DIR}/contrib/ports/unix/port/include/netif"
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/lwip"
    FILES_MATCHING PATTERN "*.h"
)

install(DIRECTORY "${LWIP_DIR}/contrib/ports/unix/posixlib/include/posix"
    DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/lwip"
    FILES_MATCHING PATTERN "*.h"
)

add_custom_target(uninstall
  "${CMAKE_COMMAND}" -P "${PROJECT_SOURCE_DIR}/Uninstall.cmake")

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: lwip
 Priority: optional
 Maintainer: Joan Lledó <jlledom@member.fsf.org>
-Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 12), cmake, doxygen <!nodoc>,
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13), cmake, doxygen <!nodoc>,
     libvdeplug-dev [linux-any]
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Section: libs
 Homepage: https://savannah.nongnu.org/projects/lwip/
 Vcs-Git: https://salsa.debian.org/debian/lwip.git
